Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88249 - RFE: update localtime file of chroot jail(for postfix)
Summary: RFE: update localtime file of chroot jail(for postfix)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-date
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 06:48 UTC by SEKINE Tatsuo
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-27 21:05:41 UTC


Attachments (Terms of Use)

Description SEKINE Tatsuo 2003-04-08 06:48:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.1) Gecko/20021030 for
VineLinux 0vl6

Description of problem:
Postfix is configured to use chroot jail by default rpm settings.
Then zoneinfo for chroot jail is located at 
"/var/spool/postfix/etc/localtime".

When redhat-config-date(redhat-config-time/timeconfig) chage
zoneinfo, it update only /etc/localtime.

When postfix is installed in system-install time,
/etc/localtime is for "EST".
Then, the zoneinfo for chrooted postfix is set as "EST".
The change of system-wide zoneinfo do NOT influence postfix,
which is run at first reboot time and sys-unconfig(1)ed.

Please update /var/spool/postfix/etc/localtime by
redhat-config-date also.
I don't know what packages use chroot jail feature except postfix.
If any other package which use chroot jail exist,
update it's (chroot jail)/etc/localtime too.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. see /usr/share/redhat-config-date/timezoneBackend.py
2.
3.
    

Additional info:

When postfix is installed in system-install time,
/etc/localtime is for "EST".
Then, the zoneinfo for chrooted postfix is set as "EST" always.
The change of system-wide zoneinfo do NOT influence postfix.

Comment 1 Brent Fox 2003-05-27 21:05:41 UTC
This should be implemented in redhat-config-date-1.5.13-1.  Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.